# Varbase Sub Profile Basic Template

Download it from: <https://github.com/Vardot/varbase_subprofile_basic>

## Managing Installation Steps for Varbase sub profiles

Managing the custom ConfigBits:

## **Default Components**

Change the **default.components.varbase\_subprofile\_basic.bit.yml** file.

Which it could be a copy of [Varbase default components](https://github.com/Vardot/varbase/blob/9.0.x/configbit/default.components.varbase.bit.yml)

```
# ==============================================================================
# List of default varbase sub profile basic components, which they will be
# installed when we install varbase.
# ==============================================================================
config_bit:
  type: list
  for: varbase_subprofile_basic.info.yml
  when:
    install_default_components: true
    list:
      dependencies:
        # Enable listed Varbase modules in order at this installation step.
        - varbase_core
        - varbase_media
        - varbase_editor
        - varbase_admin
        - varbase_email
        - varbase_security
        - varbase_seo
        - varbase_workflow
        - varbase_layout_builder
        - vlplb
        # Enable default varbase sub profile basic features.
        - varbase_subprofile_basic_homepage
#        - varbase_subprofile_basic_CUSTOM_FEATRE_01
#        - varbase_subprofile_basic_CUSTOM_FEATRE_02
#        - varbase_subprofile_basic_CUSTOM_FEATRE_03
#        - varbase_subprofile_basic_CUSTOM_FEATRE_04

```

{% hint style="info" %}
**Example:** The [**CV**](https://www.drupal.org/project/cv) profile

[default.components.cv.bit.yml](https://github.com/Vardot/cv/blob/3.0.0/configbit/default.components.cv.bit.yml)
{% endhint %}

## **Extra Components**

Change the **extra.components.varbase\_subprofile\_basic.bit.yml** file.

Which it could be a copy of [extra varbase components](https://github.com/Vardot/varbase/blob/9.0.x/configbit/extra.components.varbase.bit.yml)

```
# ==============================================================================
# List of varbase_subprofile_basic extra components, which they will be listed
# in the Extra feature form, when we install varbase subprofile basic.
# ==============================================================================
config_bit:
  type: list
  for: varbase_subprofile_basic.info.yml
  when:
    show_extra_components: true
    list:
      dependencies:
        varbase_media_header:
          title: "Varbase Media Header"
          description: "Populates the universal media header style on top of web pages. Which lets site builders activate that for content types."
          selected: false
          config_form: false
        varbase_search:
          title: "Varbase Search"
          description: "A suite of site search engine tools to help you build better search performance, customization, and search experience. Built using <a href=\"https://www.drupal.org/project/search_api\" target=\"_blank\">Search API</a>."
          selected: false
          config_form: false
```

{% hint style="info" %}
**Example:** The [**CV**](https://www.drupal.org/project/cv) profile

[extra.components.cv.bit.yml](https://github.com/Vardot/cv/blob/3.0.x/configbit/demo.content.cv.bit.yml)
{% endhint %}

## **Demo Content**

Change the **demo.content.varbase\_subprofile\_basic.bit.yml** file.

Which it could be a copy of [varbase demo components](https://github.com/Vardot/varbase/blob/9.0.x/configbit/demo.content.varbase.bit.yml)

```
# ==============================================================================
# List of VARBASE_SUBPROFILE_BASIC demo components, which they will be listed under the 
# Extra components installation step, in the Demo content section.
# ==============================================================================
config_bit:
  type: list
  for: varbase_subprofile_basic.info.yml
  when:
    show_demo: true
    list:
      dependencies:
        varbase_subprofile_basic_demo:
          title: "Install Varbase Subprofile Demo Content"
          description: "If you're evaluating Varbase Subprofile, installing demo content will help you get an idea of how Varbase Subprofile works, and what features are included."
          selected: false
          config_form: false
```

{% hint style="info" %}
**Example:** The [**CV**](https://www.drupal.org/project/cv) profile

[demo.content.cv.bit.yml](https://github.com/Vardot/cv/blob/3.0.x/configbit/demo.content.cv.bit.yml)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.varbase.vardot.com/9.1.x/developers/extending-varbase/creating-a-sub-profile-from-varbase/varbase-sub-profile-basic-template.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
